#
# Generic component spec file
#
# German Cancio <German.Cancio@cern.ch>
#
#

Summary: NCM ocsagent configuration component
Name: ncm-ocsagent
Version: 0.0.3
Vendor: EDG/CERN
Release: 2
License: http://cern.ch/eu-datagrid/license.html
Group: quattor/Components
Source: ncm-ocsagent-0.0.3.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: Matthias Schroder <Matthias.Schroder@cern.ch>
Requires: ncm-ncd ocsinventory-agent
URL: http://quattor.org

%description

quattor (http://quattor.org) NCM ocsagent configuration component:

NCM ocsagent configuration component


%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc /usr/share/doc/ncm-ocsagent-0.0.3/
%doc /usr/share/man/man8/*
/usr/lib/perl/NCM/Component/ocsagent.pm
/usr/lib/ncm/config/*
/usr/share/doc/pan-templates/namespaces/components//ocsagent/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
# At some later stage we should only do this on installs, but for now we always do it
if [ -x /usr/sbin/lcm ]; then
 ( /usr/sbin/lcm --co ocsagent || : ) &
 pid=$!
 i=30  #timeout
 while [ "$i" -gt 0 ]; do
  sleep 1
  if ! kill -0 $pid >& /dev/null; then
  	# lcm finished in time
	break
  fi
  let i--
 done
 if [ "$i" = 0 ]; then
  echo "timeout for lcm, backgrounding it"
 fi
fi


%changelog
* Thu Mar 31 2011  Matthias Schroder <Matthias.Schroder@cern.ch>
- better default values
* Tue Nov 23 2010 Matthias Schroder <Matthias.Schroder@cern.ch>
- initial build 
--- end of ChangeLog ---
